## expeyes 4.4.4+dfsg

=== Makefile ===
DESTDIR =
SUBDIRS = bin po firmware clib/expeyes-clib microhope \
          microhope/po microhope/microhope-doc
SUBDIRS_INDEP = expeyes-web eyes17/lang

all:
	python3 setup.py build
	for d in $(SUBDIRS); do \
	  if [ -f $$d/configure.ac ]; then \
	    (cd $$d; autoreconf --install;) \
	  fi; \
	  if [ -x $$d/configure ]; then \
	    (cd $$d; ./configure -prefix=/usr; make all;) \
	  else \
	    make -C $$d $@; \
	  fi; \
	done
	# make the bootloader hex file
	make -C microhope/firmware atmega32

all_indep:
	for d in $(SUBDIRS_INDEP); do \
	  make -C $$d all; \
	done

install:
	# for python3-expeyes
	if grep -Eq "Debian|Ubuntu" /etc/issue; then \
	  python3 setup.py install --install-layout=deb \
	         --root=$(DESTDIR)/ --prefix=/usr; \
	else \
	  python3 setup.py install --root=$(DESTDIR)/ --prefix=/usr; \
	fi
	install -d $(DESTDIR)/lib/udev/rules.d/
	install -m 644 99-phoenix.rules $(DESTDIR)/lib/udev/rules.d/
	# for expeyes
	install -d $(DESTDIR)/usr/share/expeyes
	cp -a eyes eyes-junior eyes17 $(DESTDIR)/usr/share/expeyes
	# icons
	install -d $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/expeyes-logo.png \
	  $(DESTDIR)/usr/share/icons/expeyes.png
	install -m 644 pixmaps/expeyes-junior-icon.png \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/eyes17-logo.png \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/expeyes-progman-jr-doc.png \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/expeyes-progman-jr-doc.svg \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/nuclear-icon.png \
	  $(DESTDIR)/usr/share/icons
	# desktop files
	install -d $(DESTDIR)/usr/share/applications
	install -m 644 desktop/expeyes.desktop \
	  desktop/expeyes-junior.desktop desktop/Phoenix-ASM.desktop \
	  desktop/expeyes-17.desktop \
	  $(DESTDIR)/usr/share/applications
	make -C po install DESTDIR=$(DESTDIR)
	# for expeyes-doc-common
	install -d $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/*doc.png $(DESTDIR)/usr/share/icons
	install -d $(DESTDIR)/usr/share/applications
	install -m 644 desktop/*doc.desktop $(DESTDIR)/usr/share/applications
	# subdirs stuff
	for d in $(SUBDIRS); do \
	  make -C $$d $@ DESTDIR=$(DESTDIR); \
	done
	# fix permissions in /usr/share/expeyes
	find $(DESTDIR)/usr/share/expeyes -type f -exec chmod 644 {} \;
	# for expeyes-clib
	ln -s /usr/lib/expeyes $(DESTDIR)/usr/share/expeyes/clib
	# for eyes17 (documentation and help files)
	make -C ExpEYES17/UserManual install DESTDIR=$(DESTDIR)

install_indep:
	for d in $(SUBDIRS_INDEP); do \
	  make -C $$d install DESTDIR=$(DESTDIR); \
	done


clean:
	rm -rf *~ *.pyc build/ eyes/*~ eyes/*.pyc eyes-junior/*~ eyes-junior/*.pyc doc/fr/Docs/eyes.out
	for d in $(SUBDIRS) $(SUBDIRS_INDEP); do \
	  [ ! -f $$d/Makefile ] || make -C $$d distclean || make -C $$d clean; \
	done
	# clean the bootloader hex file
	make -C microhope/firmware clean
	# clean the autconf generated files
	for f in  Makefile.in aclocal.m4 config.guess config.sub configure ltmain.sh m4/libtool.m4 m4/ltoptions.m4 m4/ltversion.m4 src/Makefile.in; do \
	  rm -f clib/expeyes-clib/$$f; \
	done


.PHONY: all all_indep install install_indep clean

=== bin/Makefile ===
DESTDIR=
DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc --nonet --param man.charmap.use.subset "0"

all: expeyes.1 expeyes-junior.1 expeyes-17.1 \
  expeyes-doc.1 expeyes-progman-jr-doc.1

expeyes.1: expeyes-man.xml
	$(XP) $(DB2MAN) $<

expeyes-junior.1: expeyes-junior-man.xml
	$(XP) $(DB2MAN) $<

expeyes-17.1: expeyes-17-man.xml
	$(XP) $(DB2MAN) $<

expeyes-doc.1: expeyes-doc.xml
	$(XP) $(DB2MAN) $<

expeyes-progman-jr-doc.1: expeyes-progman-jr-doc.xml
	$(XP) $(DB2MAN) $<

clean:
	rm -f *~

install:
	install -d $(DESTDIR)/usr/share/man/man1
	gzip -c9 expeyes.1 > $(DESTDIR)/usr/share/man/man1/expeyes.1.gz
	gzip -c9 expeyes-junior.1 > $(DESTDIR)/usr/share/man/man1/expeyes-junior.1.gz
	gzip -c9 expeyes-17.1 > $(DESTDIR)/usr/share/man/man1/expeyes-17.1.gz
	gzip -c9 expeyes-doc.1 > $(DESTDIR)/usr/share/man/man1/expeyes-doc.1.gz
	ln -s expeyes-doc.1.gz $(DESTDIR)/usr/share/man/man1/expeyes-junior-doc.1.gz
	gzip -c9 expeyes-progman-jr-doc.1 > $(DESTDIR)/usr/share/man/man1/expeyes-progman-jr-doc.1.gz
	install -d $(DESTDIR)/usr/bin
	install -m 755 expeyes $(DESTDIR)/usr/bin
	install -m 755 expeyes-junior $(DESTDIR)/usr/bin
	install -m 755 expeyes-17 $(DESTDIR)/usr/bin
	install -m 755 expeyes-doc $(DESTDIR)/usr/bin
	install -m 755 expeyes-progman-jr-doc $(DESTDIR)/usr/bin
	ln -s expeyes-doc $(DESTDIR)/usr/bin/expeyes-junior-doc

.PHONY: all clean install

=== expeyes-web/Makefile ===
DESTDIR =
SHAREDIR = $(DESTDIR)/usr/share/expeyes-web
bsDir = $(SHAREDIR)/htdocs/js
all:

clean:

install:
	mkdir -p $(bsDir)
	for f in apache-expeyes-vhost.conf  cgi-bin; do \
	  cp -a $$f $(SHAREDIR); \
	done
	for f in css  images  index.php; do \
	  cp -a htdocs/$$f $(SHAREDIR)/htdocs; \
	done
	for f in  ie10-viewport-bug-workaround.js ie-emulation-modes-warning.js; do \
	  cp htdocs/js/$$f $(SHAREDIR)/htdocs/js; \
	done
	ln -s /usr/share/javascript/bootstrap/js/bootstrap.js $(bsDir)
	ln -s /usr/share/javascript/bootstrap/js/bootstrap.min.js $(bsDir)
	ln -s /usr/share/javascript/jquery/jquery.min.js $(bsDir)

=== po/Makefile ===
DESTDIR =
SOURCES = $(shell ls ../eyes/*.py ../expeyes/*.py ../eyes-junior/*.py ../microhope/create-microhope-env ../microhope/*.py)
POFILES = $(shell ls *.po)
MOFILES = $(patsubst %.po, %.mo, $(POFILES))
LANG = $(patsubst %.po, %, $(POFILES))

all: $(MOFILES)

%.mo: %.po
	msgfmt --output-file=$@ $<

$(POFILES): messages.pot
	for f in $(POFILES); do \
	  msgmerge --update --previous $$f messages.pot; \
	done

messages.pot: $(SOURCES)
	if [ -f $@ ]; then \
	  xgettext --output=$@  --language=python --join-existing --keyword=_ --add-location $(SOURCES); \
	else \
	  xgettext --output=$@  --language=python --keyword=_ --add-location $(SOURCES); \
	fi

clean:
	rm -f *.mo *~

install: all
	for l in $(LANG); do \
	  install -d $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES; \
	  install -m 644 $$l.mo $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES/expeyes.mo; \
	done

.PHONY: all clean install

=== ExpEYES17/UserManual/Makefile ===
DESTDIR = 
LANGUAGES = $(shell find . -mindepth 1 -maxdepth 1 -type d | grep -Ev 'pics|schematics|images' | tr -d './')

RST_SUBDIRS = $(shell ls -d */rst)

all: progress
	for d in $(RST_SUBDIRS); do make -C $$d; done

clean:
	for d in $(RST_SUBDIRS); do make -C $$d distclean; done

install:
	for l in $(LANGUAGES); do \
	  install -d $(DESTDIR)/usr/share/eyes17/rst/$$l; \
	  install -d $(DESTDIR)/usr/share/eyes17/doc/$$l; \
	  install -m 755 $$l/rst/exp/_build/latex/eyes17.pdf \
	    $(DESTDIR)/usr/share/eyes17/doc/$$l; \
	  cp -a $$l/rst/qt5HTML/* $(DESTDIR)/usr/share/eyes17/rst/$$l; \
	done

progress:
	@for l in $(LANGUAGES); do \
	  if [ $$l != "en" ]; then \
	    make --quiet -C $$l/rst progress; \
	  fi; \
	done

.PHONY: all clean install progress

=== eyes17/lang/Makefile ===
DESTDIR =
TS_FILES = $(shell ls *.ts)
QM_FILES = $(patsubst %.ts, %.qm, $(TS_FILES))
SOURCES = $(shell ls ../*py ../code/*.py)
PYLUPDATE ?= pylupdate5

all: $(QM_FILES)

$(QM_FILES): $(TS_FILES)
	lrelease eyes17.pro

$(TS_FILES): eyes17.pro
	$(PYLUPDATE) eyes17.pro

eyes17.pro: $(SOURCES)
	echo "# GENERATED FILE, DO NOT EDIT" > $@
	echo "SOURCES = $(SOURCES)" >> $@
	echo "TRANSLATIONS = $(TS_FILES)"  >> $@

clean:
	rm -f *~ $(QM_FILES) eyes17.pro

install:

.PHONY: all clean install

=== ExpEYES17/UserManual/fr/rst/Makefile ===
# This file will launch the generation of PDF, HTML and EPUB versions
# of EYES17's User Manual, and then extract simplified HTML files for
# use in the documentation displaied by PyQt5

PDF  = exp/_build/latex/eyes17.pdf
HTML = exp/_build/html/index.html
EPUB = exp/_build/epub/eyes17.epub
QT5HTML = qt5HTML/index.html
PREBUILD = exp/_static/.keeper
RSTFILES = $(shell ls exp/*.rst)
THIS_LANG = $(shell basename $$(realpath ..))
SVGFILES = $(shell ls exp/schematics/$(THIS_LANG)/*.svg)

SOURCES = $(shell ls exp/*.rst) exp/conf.py exp/Makefile \
  exp/cover/coverpage.pdf exp/cover/preface.pdf

all: $(PREBUILD) $(PDF) $(HTML) $(EPUB) $(QT5HTML)

$(PREBUILD):
	mkdir -p exp/_static
	touch $@


distclean:
	rm -rf qt5HTML exp/_build exp/_static

$(PDF): $(SOURCES)
	make -C exp latexpdf

$(HTML): $(SOURCES)
	make -C exp html

$(EPUB): $(SOURCES)
	make -C exp epub

$(QT5HTML): $(SOURCES) $(HTML) 
	./simplifyForQt5 --indir=exp/_build/html --outdir=qt5HTML

progress:
	@echo "=================== Progress log for the language $(THIS_LANG) ==================="
	@echo -n "New files to translate: "
	@for f in ../../schematics/en/*.svg; do \
	  g=exp/schematics/$(THIS_LANG)/$$(basename $$f); \
	  if [ ! -f $$g ]; then echo -n "$$(basename $$f)  "; fi; \
	done;
	@for f in ../../en/rst/exp/*.rst ; do \
	  g=exp/$$(basename $$f); \
	  if [ ! -f $$g ]; then echo -n "$$(basename $$f)  "; fi; \
	done;
	@echo "[end]"
	@echo -n "Files to update: "
	@make --quiet progress_update
	@echo "[end]"
	@echo "========================================================================="

progress_update: $(RSTFILES) $(SVGFILES)

exp/%.rst: ../../en/rst/exp/%.rst
	@echo -n "$$(basename $@) "

exp/schematics/$(THIS_LANG)/%.svg: ../../schematics/en/%.svg
	@echo -n "$$(basename $@) "

.PHONY: all force distclean progress progress_update

=== ExpEYES17/UserManual/fr/rst/exp/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/eyes17.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/eyes17.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/eyes17"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/eyes17"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo copying a few files
	cp cover/*.pdf $(BUILDDIR)/latex
	@echo modifying the title page
	cd $(BUILDDIR)/latex; \
	  sed -i '/\\usepackage{sphinx}/a\
\\usepackage{pdfpages}' eyes17.tex; \
	  sed -i 's/\\maketitle/\\includepdf{coverpage.pdf}\n\\includepdf{preface.pdf}/' eyes17.tex;
	@echo launching prettyLaTeX.py
	python3 prettyLaTeX.py $(BUILDDIR)/latex eyes17.tex
	@echo generating PDF images in the LaTeX directory
	cd $(BUILDDIR)/latex; \
	  for f in *.png; do g=$$(echo $$f| sed 's/png$$/pdf/'); echo "$$f ==> $$g"; convert $$f -resize 240x180 $$g; done;\
	  for f in *.jpg; do g=$$(echo $$f| sed 's/jpg$$/pdf/'); echo "$$f ==> $$g"; convert $$f -resize 240x180 $$g; done;\
	  for f in *.svg; do g=$$(echo $$f| sed 's/svg$$/pdf/'); echo "$$f ==> $$g"; rsvg-convert -f pdf $$f --width 240 -o $$g; done;
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
expeyes (4.4.4+dfsg-4) unstable; urgency=medium

  * removed calls to py3compile and py3clean from postinst script of the
    package expeyes-web. Closes: #910226

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 23 Oct 2018 11:53:32 +0200

expeyes (4.4.4+dfsg-3) unstable; urgency=medium

  * removed calls to py3compile and py3clean from postinst and prerm script.
    Closes: #910226

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 07 Oct 2018 09:56:04 +0200

expeyes (4.4.4+dfsg-2) unstable; urgency=medium

  * added conflicts for python3-expeyes (<< 4.3). Closes: #910226

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 05 Oct 2018 16:59:52 +0200

expeyes (4.4.4+dfsg-1) unstable; urgency=medium

  * fixed the postinst and prerm scripts for python3-expeyes, expeyes-web.
    Closes: #904514
  * upgraded to the last upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 08 Aug 2018 10:00:49 +0200

expeyes (4.4.3+dfsg-3) unstable; urgency=medium

  * promoted the recommendation python3-expeyes <- udev to a dependency.
    Closes: #904514

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 30 Jul 2018 05:03:44 +0200

expeyes (4.4.3+dfsg-2) unstable; urgency=medium

  * removed any dependency on python2
  * applied Boyuan Yang's patch. Closes: #904090
  * applied a patch from Ajith Kumar, which add examples for eyes17,
    in Python language.
  * added a build dependency on qt5-qmake
  * removed debug messages emitted by eyes17/main.py

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 20 Jul 2018 17:39:12 +0200

=== debian/control ===
Source: expeyes
Section: science
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 10), quilt,
 python3-all, dh-python,
 gcc-avr, binutils-avr, avr-libc (>=1:1.8.0+Atmel3.5.0),
 pkg-config, libgtk2.0-dev, x11proto-randr-dev (>= 1.5.0),
 pyqt5-dev-tools, qttools5-dev-tools, qt5-qmake
Standards-Version: 4.1.5
Homepage: http://expeyes.in/
Vcs-Browser: https://salsa.debian.org/georgesk/expeyes
Vcs-Git: https://salsa.debian.org/georgesk/expeyes.git

Package: expeyes
Architecture: all
Depends: python3, ${misc:Depends}, ${python3:Depends},
 python3-expeyes (= ${source:Version}),
 python3-pil.imagetk,
 tix,  python3-tk, udev
Recommends: python3-numpy, python3-scipy,
 expeyes-web, qtiplot, python3-pygrace(>=0.5),
 expeyes-doc-en|expeyes-doc
Description: hardware & software framework for developing science experiments
 This package provides high level interfaces for making science experiments
 with an ExpEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.

Package: eyes17
Architecture: all
Depends: python3, ${misc:Depends}, ${python3:Depends},
 python3-expeyes (= ${source:Version}),
 python3-pyqtgraph, python3-pyqt5, python3-pyqt5.qtwebkit,
 python-configparser
Recommends: python3-numpy, python3-scipy,
 python3-pyqt5.qtwebengine
Description: hardware & software framework for developing science experiments
 This package provides high level interfaces for making science experiments
 with an ExpEYES-17 box.
 .
 ExpEYES-17 is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. When compared with
 previous ExpEYES boxes (Expeyes, Expeyes-Junior), ExpEYES-17 is richer
 in various features: multiple soft input ranges, more flexible wave
 generator, better time resolution, better voltage resolution, supports
 seamlessly cheap I2C sensors.


Package: libej0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: expeyes
Description: hardware & software framework for developing science experiments
 This package provides a library usable to drive an expEYES box, and is
 necessary to run clib-based software which addresses this box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration.

Package: libej-dev
Architecture: any
Depends: ${misc:Depends},
 libej0 (>= ${source:Version}), libej0 (<< ${source:Version}.1~)
Section: libdevel
Description: hardware & software framework for developing science experiments
 This package provides headers and links to develop software in C language
 addressing an expEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration.

Package: expeyes-clib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libej0
Recommends: expeyes
Description: hardware & software framework for developing science experiments
 This package provides interfaces written in C language for making
 science experiments with an ExpEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. This package provides approximately
 the same features than the package expeyes, but its sources are in C language.

Package: expeyes-firmware-dev
Architecture: all
Section: devel
Depends: ${misc:Depends}
Recommends: gcc-avr, binutils-avr, uisp
Description: hardware & software framework for developing science experiments
 This package provides high level interfaces for making science experiments
 with an ExpEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.


Package: python3-expeyes
Section: python
Architecture: all
Depends: python3, ${misc:Depends}, ${python3:Depends},
 python3-scipy, python3-serial (>= 2.6), udev
Conflicts: python-expeyes, python3-expeyes (<< 4.3)
Replaces: python-expeyes
Description: Python3 library for expeyes
 This package provides low level interfaces for making science experiments
 with an ExpEYES box. The library allows one to develop new programs easily
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.

Package: expeyes-web
Section: web
Architecture: all
Depends: python3, ${misc:Depends}, ${python3:Depends},
 python3-expeyes, libjs-jquery, libjs-bootstrap
Description: Web interface for expEYES-Junior
 This package allows you to access remotely to a server which drives an
 expEYES-Jr box. This extends the power of expEYES.

Package: microhope
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends},
 expeyes, python3-tk, avr-libc, avrdude, gnome-icon-theme,
 python-wxgtk3.0
Recommends: gnome-human-icon-theme
Description: hardware & software framework to learn microcontrollers
 This package provides a set of example programs to drive an ATmega32
 microcontroller, together with a tutorial explaining how to compile
 them, upload them to the microcontroller, and how to make simple and
 more complicated modifications. It is meant to be used with the
 "microhope" board which makes it easy to upload code to the microcontroller
 through a USB link.
 .
 In addition to examples there is a library to drive all of the peripherals
 available on the "microhope" board: LED, LCD display, ADC connected to
 sensors.
 .
 A Graphic User Interface is provided too.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS=reproducible=-timeless

LD_LIBRARY_PATH += debian/libexpeyes1/usr/lib
export DEB_BUILD_HARDENING=1

export QT_SELECT := 5

%:
	dh $@ --with python3

HOME = $(CURDIR)/debian/build
override_dh_auto_build-arch:
	mkdir $(CURDIR)/debian/build
	make all HOME=$(HOME)
	rm -rf $(CURDIR)/debian/build

override_dh_auto_build-indep:
	make all_indep

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(HOME)

DocDir = $(CURDIR)/debian/eyes17/usr/share/expeyes/doc
DocDirSource = $(CURDIR)/ExpEYES17/UserManual

override_dh_install:
	make install_indep DESTDIR=$(CURDIR)/debian/tmp
	dh_install
	make -C po install DESTDIR=$(CURDIR)/debian/expeyes
	make -C microhope/po install DESTDIR=$(CURDIR)/debian/microhope
	# prevents lintian error about PYCACHE
	find $(CURDIR)/debian/ -type d -name __pycache__| xargs rm -rf;

## expeyes 4.5.8+dfsg

=== Makefile ===
--- 
+++ 
@@ -82,14 +82,12 @@
 clean:
 	rm -rf *~ *.pyc build/ eyes/*~ eyes/*.pyc eyes-junior/*~ eyes-junior/*.pyc doc/fr/Docs/eyes.out
 	for d in $(SUBDIRS) $(SUBDIRS_INDEP); do \
-	  [ ! -f $$d/Makefile ] || make -C $$d distclean || make -C $$d clean; \
+	  [ ! -f $$d/Makefile ] || make -C $$d clean; \
 	done
 	# clean the bootloader hex file
 	make -C microhope/firmware clean
 	# clean the autconf generated files
-	for f in  Makefile.in aclocal.m4 config.guess config.sub configure ltmain.sh m4/libtool.m4 m4/ltoptions.m4 m4/ltversion.m4 src/Makefile.in; do \
-	  rm -f clib/expeyes-clib/$$f; \
-	done
+	cd clib/expeyes-clib; sh clean-all.sh
 
 
 .PHONY: all all_indep install install_indep clean

=== debian/changelog ===
expeyes (4.5.8+dfsg-1) unstable; urgency=medium

  * introduced two new languages
  * removed a useless file
  * take in account on-the-fly language change

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 09 Jan 2020 17:42:27 +0100

expeyes (4.5.7+dfsg-1) unstable; urgency=medium

  * new upstream version
  * updated the French translations

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 26 Nov 2019 20:11:26 +0100

expeyes (4.5.6+dfsg-2) unstable; urgency=medium

  * changed the dependency for microhope, upgraded python-wxgtk3.0,
    to python3-wxgtk4.0. Closes: #936497

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 24 Oct 2019 18:28:42 +0200

expeyes (4.5.6+dfsg-1) unstable; urgency=medium

  * New upstream version: Ajith's fix to enable calibration

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 05 Oct 2019 19:06:36 +0200

expeyes (4.5.5+dfsg-1) unstable; urgency=medium

  * imported Ajith's changes: new I2C peripherals are supported,
    calibration loader is fixed
  * added the subdirectory eyes17/layouts to eyes17.install

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 29 Sep 2019 17:09:26 +0200

expeyes (4.5.4+dfsg-1) unstable; urgency=medium

  * new upstream release
  * added a Spanish l12n file
  * removed a dependency on python-configparser; the backport is no longer
    useful as python2 is removed. Closes: #936497

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 27 Aug 2019 15:54:49 +0200

expeyes (4.5.3+dfsg-1) UNRELEASED; urgency=medium

  * new parser
  * moved the (c) at the begin of a line, which fools rst2dokuwiki.py
  * documented the command
  * moved the (c) at the begin of a line, which fools rst2dokuwiki.py
  * ignore a computed directory
  * aulaslibres2rst.py ok
  * added a shebang
  * removed a useless command
  * modified the response to better comply with the data structure
  * removed generated files
  * remove generated files
  * fixed an error with the new features of regexp substitution in Python3
  * ignore more files
  * reverted the modification which should be done upstream!
  * ignore more files
  * deleted generated files
  * deleted generated files
  * ignore more files
  * fixed an error with the new features of regexp substitution in Python3
  * fixed a problem with a regexp
  * began the Spanish translation, with Bibiana Boccolini's help
  * deleted generated files
  * deleted generated files
  * deleted generated files
  * ignore more files
  * one translation more
  * fixed two issues: the title page, and low-res images
  * removed files generated under en/rst/qt5HTML
  * removed files generated under qt5HTML/
  * merged Bibiana Boccolini's translations
  * fixed many little typos
  * Bibiana's translations, once more
  * improved the localization
  * translation by GK, to be reviewed by BB
  * many cosmetic changes
  * ignore files generated by latex
  * included the last translations by Bibiana Boccomini
  * little fixes
  * added Spanish translations in upstream branch
  * other changes for eyes17's user manual
  * simplified a clean rule
  * fixed missing libraries
  * fixed an error due to data being a packed list
  * deleted unused debian patches
  * remove ignored files
  * added a 'clean' target to allow one to keep generated documents
  * added pdf user manuals for eyes17
  * added epub user manuals for eyes17
  * added html user manuals for eyes17
  * mitigated the clean target in main Makefile
  * updated the line numbers in fr.ts
  * updated source lintian-overrides

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 27 Aug 2019 15:05:03 +0200

=== debian/control ===
--- 
+++ 
@@ -39,8 +39,7 @@
 Architecture: all
 Depends: python3, ${misc:Depends}, ${python3:Depends},
  python3-expeyes (= ${source:Version}),
- python3-pyqtgraph, python3-pyqt5, python3-pyqt5.qtwebkit,
- python-configparser
+ python3-pyqtgraph, python3-pyqt5, python3-pyqt5.qtwebkit
 Recommends: python3-numpy, python3-scipy,
  python3-pyqt5.qtwebengine
 Description: hardware & software framework for developing science experiments
@@ -153,11 +152,11 @@
 Architecture: any
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends},
  expeyes, python3-tk, avr-libc, avrdude, gnome-icon-theme,
- python-wxgtk3.0
+ python3-wxgtk4.0
 Recommends: gnome-human-icon-theme
 Description: hardware & software framework to learn microcontrollers
  This package provides a set of example programs to drive an ATmega32
- microcontroller, together with a tutorial explaining how to compile
+ microcontroller, together with a tutorqial explaining how to compile
  them, upload them to the microcontroller, and how to make simple and
  more complicated modifications. It is meant to be used with the
  "microhope" board which makes it easy to upload code to the microcontroller
